Skip to main content
GET
Get Workspace Audit Logs

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Query Parameters

limit
integer
default:50

Maximum number of entries per page

Required range: 1 <= x <= 100
cursor
string | null

Cursor for the next page (from previous response)

time_from_unix_ms
integer | null

Only include entries at or after this time (ms since epoch)

time_to_unix_ms
integer | null

Only include entries at or before this time (ms since epoch)

actor_uid
string | null

Filter by actor user ID

class_name
string | null

Filter by OCSF event class name (e.g. Account Change)

activity_name
string | null

Filter by audit activity name (e.g. Subscription Creation)

Response

Successful Response

Paginated workspace audit log response.

entries
WorkspaceAuditLogEntryResponse · object[]
required
has_more
boolean
required
next_cursor
string | null
required